Assigning a trouble ticket
To assign or reassign a trouble ticket, use the following endpoint:
- POST
/billing/v1/trouble-tickets/{troubleTicketId}/assign
This action can assign a ticket to a group, to a specific user within a group, or reassign it from one group or user to another.
The request body accepts the following fields:
| Field | Description | Note |
groupId |
The ID of the group to assign the ticket to. | Required. |
userId |
The ID of a specific user within the group to assign the ticket to. | Optional. The user must be a member of the specified group. |
Note: Auto-assignment is not supported by this action. You cannot assign a
closed trouble ticket.
When a ticket is reassigned from a previous group or user, the response includes
previousGroup and previousUser fields showing
the prior assignment.
The following example assigns a trouble ticket to a user.
Command
POST /billing/v1/trouble-tickets/bc:301/assignRequest body
{
"data": {
"attributes": {
"groupId": "bc:S0SKjGOTaTj8X9zH2EKGa",
"userId": "bc:SS90REFeY-AESkxyYE7Kl"
}
}
}
The response contains the trouble ticket with the new assignedGroup
and assignedUser fields.